Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class ParticipantManager

    java.lang.Object
      org.eclipse.ltk.core.refactoring.participants.ParticipantManager

public class ParticipantManager
extends Object

Facade to access the rename, move, delete, create and copy participant extension point provided by the org.eclipse.ltk.core.refactoring plug-in.

Note: this class is not intended to be extended by clients.

Since:
  3.0

Method Summary
`static CreateParticipant[]` | `loadCreateParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CreateArguments arguments, String[] affectedNatures, SharableParticipants shared)` Loads the create participants for the given element.
`static DeleteParticipant[]` | `loadDeleteParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, DeleteArguments arguments, String[] affectedNatures, SharableParticipants shared)` Loads the delete participants for the given element.
`static MoveParticipant[]` | `loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, String[] affectedNatures, SharableParticipants shared)` Loads the move participants for the given element.
`static RenameParticipant[]` | `loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, String[] affectedNatures, SharableParticipants shared)` Loads the rename participants for the given element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadRenameParticipants

    public static RenameParticipant[] loadRenameParticipants(RefactoringStatus status,
                                                             RefactoringProcessor processor,
                                                             Object element,
                                                             RenameArguments arguments,
                                                             String[] affectedNatures,
                                                             SharableParticipants shared)

  Loads the rename participants for the given element.

  Parameters:
    `status` - a refactoring status to report status if problems occurred while loading the participants
    `processor` - the processor that will own the participants
    `element` - the element to be renamed
    `arguments` - the rename arguments describing the rename
    `affectedNatures` - an array of project natures affected by the refactoring
    `shared` - a list of shared participants
  Returns:
    an array of rename participants

### loadMoveParticipants

    public static MoveParticipant[] loadMoveParticipants(RefactoringStatus status,
                                                         RefactoringProcessor processor,
                                                         Object element,
                                                         MoveArguments arguments,
                                                         String[] affectedNatures,
                                                         SharableParticipants shared)

  Loads the move participants for the given element.

  Parameters:
    `status` - a refactoring status to report status if problems occurred while loading the participants
    `processor` - the processor that will own the participants
    `element` - the element to be moved
    `arguments` - the move arguments describing the move
    `affectedNatures` - an array of project natures affected by the refactoring
    `shared` - a list of shared participants
  Returns:
    an array of move participants

### loadDeleteParticipants

    public static DeleteParticipant[] loadDeleteParticipants(RefactoringStatus status,
                                                             RefactoringProcessor processor,
                                                             Object element,
                                                             DeleteArguments arguments,
                                                             String[] affectedNatures,
                                                             SharableParticipants shared)

  Loads the delete participants for the given element.

  Parameters:
    `status` - a refactoring status to report status if problems occurred while loading the participants
    `processor` - the processor that will own the participants
    `element` - the element to be deleted
    `arguments` - the delete arguments describing the delete
    `affectedNatures` - an array of project natures affected by the refactoring
    `shared` - a list of shared participants
  Returns:
    an array of delete participants

### loadCreateParticipants

    public static CreateParticipant[] loadCreateParticipants(RefactoringStatus status,
                                                             RefactoringProcessor processor,
                                                             Object element,
                                                             CreateArguments arguments,
                                                             String[] affectedNatures,
                                                             SharableParticipants shared)

  Loads the create participants for the given element.

  Parameters:
    `status` - a refactoring status to report status if problems occurred while loading the participants
    `processor` - the processor that will own the participants
    `element` - the element to be created or a corresponding descriptor
    `arguments` - the create arguments describing the create
    `affectedNatures` - an array of project natures affected by the refactoring
    `shared` - a list of shared participants
  Returns:
    an array of create participants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.